LOCAL_PATH := $(call my-dir)
_IMPORT_PREFIX := $(LOCAL_PATH)/../..

include $(CLEAR_VARS)
LOCAL_MODULE := QuotientQt6
LOCAL_SRC_FILES := $(_IMPORT_PREFIX)/./QuotientQt6.lib
LOCAL_CPP_FEATURES := rtti exceptions
# COMPATIBLE_INTERFACE_STRING Quotient_MAJOR_VERSION
# INTERFACE_COMPILE_DEFINITIONS $<$<STREQUAL:$<TARGET_PROPERTY:QuotientQt6,TYPE>,STATIC_LIBRARY>:QUOTIENT_STATIC>;Quotient_VERSION_MAJOR=0;Quotient_VERSION_MINOR=8;Quotient_VERSION_PATCH=2;Quotient_VERSION_STRING="0.8.2";Quotient_E2EE_ENABLED
# INTERFACE_COMPILE_FEATURES cxx_std_20
LOCAL_CPP_FEATURES += /Zc:preprocessor
LOCAL_EXPORT_C_INCLUDES := ${_IMPORT_PREFIX}/include
LOCAL_SHARED_LIBRARIES := Qt6::Core Qt6::Network Qt6::Gui qt6keychain Qt6::Sql
LOCAL_STATIC_LIBRARIES := Olm::Olm OpenSSL::Crypto
# INTERFACE_Quotient_MAJOR_VERSION 0.8
LOCAL_HAS_CPP := true
include $(PREBUILT_STATIC_LIBRARY)

